const state = {
  token: "",
  userInfo: {},
  menuStack: [],
  loadingShow: false,
};

const getters = {
  loadingShow(state){
    return state.loadingShow;
  }
}

const actions = {
  setMenuStack({ state }, data) {
    console.log(data);
    state.menuStack = data;
    state.token = JSON.stringify(data);
  },
};

const mutations = {
  // 设置token
  setToken(state, token) {
    state.token = token;
  },
  // 存储用户信息
  setUserInfo(state, userInfo) {
    state.userInfo = userInfo;
  },
  setMenuStack(state, data) {
    state.menuStack = data;
  },
  loadingShow(state, status) {
    state.loadingShow = status;
  },
};
export default {
  namespaced: true,
  state,
  getters,
  actions,
  mutations,
};
